xmlpp::exception Class Reference

Base class for all xmlpp exceptions. More...

`#include <libxml++/exceptions/exception.h>`

Inheritance diagram for xmlpp::exception:
[legend]

## Public Member Functions

LIBXMLPP_MEMBER_METHOD | exception (const ustring & message)
LIBXMLPP_MEMBER_METHOD | ~exception () noexcept override
virtual LIBXMLPP_MEMBER_METHOD exception * | clone () const
virtual LIBXMLPP_MEMBER_METHOD void | raise () const
LIBXMLPP_MEMBER_METHOD const char * | what () const noexcept override
Public Member Functions inherited from std::exception

## Detailed Description

Base class for all xmlpp exceptions.

## Constructor & Destructor Documentation

## exception()

LIBXMLPP_MEMBER_METHOD xmlpp::exception::exception | ( | const ustring & | message | ) |

explicit

## ~exception()

LIBXMLPP_MEMBER_METHOD xmlpp::exception::~exception | ( |  | ) |

overridenoexcept

## Member Function Documentation

## clone()

virtual LIBXMLPP_MEMBER_METHOD exception * xmlpp::exception::clone | ( |  | ) | const

virtual

Reimplemented in xmlpp::internal_error, xmlpp::parse_error, and xmlpp::validity_error.

## raise()

virtual LIBXMLPP_MEMBER_METHOD void xmlpp::exception::raise | ( |  | ) | const

virtual

Reimplemented in xmlpp::internal_error, xmlpp::parse_error, and xmlpp::validity_error.

## what()

LIBXMLPP_MEMBER_METHOD const char * xmlpp::exception::what | ( |  | ) | const

overridevirtualnoexcept

Reimplemented from std::exception.